/*
    This file is part of ben -- a task scheduler for distributed computations
    Copyright (C) 2012-2024  Laurent Poirrier

    ben is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef BEN_SSH_H
#define BEN_SSH_H
#include "network.h"
#include "exec.h"

int ssh_fwd_fork(exec_unit *u, char *dst, char *laddr, char *faddr);
int ssh_fwd_terminate(exec_unit *u);

int ssh_remote_exec(char *dst, char *raddr, char *laddr,
	char *cmd, char *resp, char *logfile);

#endif

